Subject: [p2p-sip] I-D: An Architecture for P2P SIP

From: marc1.bailly at francetelecom.com (BAILLY Marc RD-CORE-LAN)
Date: Tue, 28 Feb 2006 23:55:36 +0100

Hi Sathya,

My comments inline.
 
> >I have some questions about the supernode selection 
> criteria. It is mentionned in your draft that "it is 
> recommended that SNs should be on the public internet" in 
> order to receive P2P messages.
> >  
> >
> The text in the first half of this sentence provides the 
> context to this
> recommendation. The complete line is,
> 
>    When a P2P overlay network spans
>    over the global Internet and contains peers private IP addresses as
>    well as peers with public IP addresses, SNs need to 
> perform STUN, and
>    possibly TURN server operations thus it is RECOMMENDED that SNs
>    should be on the public Internet, and publicly addressed [5][10].
> 

Maybe it would be interesting to mention that there must be enough nodes that can become super node (i.e. at least with a public IP address) in comparison to the total number of nodes (especially if TURN functions are embbeded in supernodes). 
I agree with this architecture proposition with this hypothesis.

The question is : will it be the case in a few months or years?

Regards,

Marc

> 
> >>-----Message d'origine-----
> >>De : p2p-sip-bounces at cs.columbia.edu 
> >>[mailto:p2p-sip-bounces at cs.columbia.edu] De la part de Eunsoo Shim
> >>Envoy? : mardi 28 f?vrier 2006 00:22
> >>? : P2P-SIP
> >>Objet : [p2p-sip] I-D: An Architecture for P2P SIP
> >>
> >>We submitted an I-D that describes an architecture for P2P SIP.
> >>You can get it from the link below until it appears in the IETF I-D 
> >>directory.
> >>We hope this draft can help the architecture and charter 
> >>discussion in BOF.
> >>Your comments will be appreciated.
> >>Thanks.
> >>
> >>Eunsoo
> >>
> >>http://www.comet.columbia.edu/~eunsoo/ietf/draft-shim-sipping-
> >>p2p-arch-00.txt
> >>
> >>Abstract
> >>
> >>   This document describes an architecture for peer-to-peer 
> >>SIP systems
> >>   in which a separate and independent peer-to-peer overlay layer
> >>   provides a distributed resource placement and search 
> >>service for SIP.
> >>   It also aims to help identify what should be specified for
> >>   interoperation.
> >>
> >>
> >>
> >>
> >>
> >>_______________________________________________
> >>p2p-sip mailing list
> >>p2p-sip at cs.columbia.edu
> >>https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
> >>
> >>    
> >>
> >
> >_______________________________________________
> >p2p-sip mailing list
> >p2p-sip at cs.columbia.edu
> >https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
> >  
> >
> 
> 
>